/*******************************************************************
* This file was created by the Xilinx CORE Generator tool, and   		             *
* is (c) Xilinx, Inc. 1998, 1999. No part of this file may be  			             *
* transmitted to any third party (other than intended by Xilinx) 		             *
* or used without a Xilinx programmable or hardwire device without 	             *
* Xilinx's prior written permission.                                              		             *
*******************************************************************/ 

// The following line must appear at the top of the file in which
// the core instantiation will be made. Ensure that the translate_off/_on
// compiler directives are correct for your synthesis tool(s)

// Your Verilog compiler/interpreter might require the following
// option or it's equivalent to help locate the Xilinx Core Library
// +incdir+${XILINX}/verilog/src
// Here ${XILINX} refers to the XILINX software installation directory.

//----------- Begin Cut here for LIBRARY inclusion --------// LIB_TAG

// synopsys translate_off

`include "XilinxCoreLib/C_MEM_DP_BLOCK_V1_0.v"

// synopsys translate_on

// LIB_TAG_END ------- End LIBRARY inclusion --------------

// The following code must appear after the module in which it
// is to be instantiated. Ensure that the translate_off/_on compiler
// directives are correct for your synthesis tool(s).

//----------- Begin Cut here for MODULE Declaration -------// MOD_TAG
module core32x16 (
	ADDRA,
	CLKA,
	ADDRB,
	CLKB,
	DIA,
	WEA,
	DIB,
	WEB,
	ENA,
	ENB,
	RSTA,
	RSTB,
	DOA,
	DOB);

input [4 : 0] ADDRA;
input CLKA;
input [4 : 0] ADDRB;
input CLKB;
input [15 : 0] DIA;
input WEA;
input [15 : 0] DIB;
input WEB;
input ENA;
input ENB;
input RSTA;
input RSTB;
output [15 : 0] DOA;
output [15 : 0] DOB;

// synopsys translate_off

	C_MEM_DP_BLOCK_V1_0 #(
		5,
		5,
		1,
		1,
		"0",
		32,
		32,
		1,
		1,
		1,
		1,
		1,
		1,
		1,
		1,
		1,
		1,
		1,
		1,
		1,
		"/home/darinc/XAPP/verilog/core32x16.mif",
		16,
		0,
		1,
		1,
		1,
		1,
		1,
		16,
		16)
	inst (
		.ADDRA(ADDRA),
		.CLKA(CLKA),
		.ADDRB(ADDRB),
		.CLKB(CLKB),
		.DIA(DIA),
		.WEA(WEA),
		.DIB(DIB),
		.WEB(WEB),
		.ENA(ENA),
		.ENB(ENB),
		.RSTA(RSTA),
		.RSTB(RSTB),
		.DOA(DOA),
		.DOB(DOB));

// synopsys translate_on

endmodule

// MOD_TAG_END ------- End MODULE Declaration -------------

// The following must be inserted into your Verilog file for this
// core to be instantiated. Change the instance name and port connections
// (in parentheses) to your own signal names.

//----------- Begin Cut here for INSTANTIATION Template ---// INST_TAG
core32x16 YourInstanceName (
	.ADDRA(ADDRA),
	.CLKA(CLKA),
	.ADDRB(ADDRB),
	.CLKB(CLKB),
	.DIA(DIA),
	.WEA(WEA),
	.DIB(DIB),
	.WEB(WEB),
	.ENA(ENA),
	.ENB(ENB),
	.RSTA(RSTA),
	.RSTB(RSTB),
	.DOA(DOA),
	.DOB(DOB));

// INST_TAG_END ------ End INSTANTIATION Template ---------